List Instalment Plans
The purpose of this endpoint is to deliver Banking Instalment Plans for a list of accounts authorised for a specific Principal (principalId). The list of accounts to fetch plans for is supplied in the request body, allowing HaaS to act as the gatekeeper of authorised accounts and to retrieve all plans across the supplied accounts in a single call. Filtering parameters from the upstream Consumer Data Standards Banking Instalment Plan endpoints (plan-status, page, page-size) are mirrored through to the Data Adapter via the request body.
This Data Adapter endpoint is used to deliver the responses for the following Consumer Data Standards endpoints:
Data Adapter APIβ
List Instalment Plansβ
Loading...
Β
Consumer Data Standards Associationsβ
Get Instalment Plans Bulkβ
Loading...
CDR Error Mappingβ
| Title | Status Code | Adapter URN - Error Code | Detail | CDR Status Code | CDR URN - Error Code |
|---|---|---|---|---|---|
| Invalid Field | 400 | urn:au-cds:error:cds-all:Field/Invalid | Applies when the value of required path parameter, i.e. principalId is an invalid type or the value violates the field's constraints. | 400 | urn:au-cds:error:cds-all:Field/Invalid |
| Invalid Header | 400 | urn:au-cds:error:cds-all:Header/Invalid | Applies when a HTTP Header is provided but the value provided is an invalid type or violates the field type constraints as defined in the Consumer Data Standards. | 400 | urn:au-cds:error:cds-all:Header/Invalid |
| Expected Error | 400 | urn:au-cds:error:cds-all:GeneralError/Expected | This status code indicates that the Expected Error has encountered. | 400 | urn:au-cds:error:cds-all:GeneralError/Expected |
| Invalid PageSize | 400 | urn:au-cds:error:cds-all:Field/InvalidPageSize | This status code applies when a HTTP Header is provided but the value provided is an invalid type or violates the field type constraints as defined in the Consumer Data Standards. | 400 | urn:au-cds:error:cds-all:Field/InvalidPageSize |
| Invalid Resource | 404 | urn:au-cds:error:cds-all:Resource/Invalid | The requested resource identifier is permanently unavailable. | 500 | urn:au-cds:error:cds-all:GeneralError/Unexpected |
| Invalid Page | 422 | urn:au-cds:error:cds-all:Field/InvalidPage | This status code indicates that the page being requested is out of range. For example, the valid pagination range is 5 pages and the client requested page = 10. | 422 | urn:au-cds:error:cds-all:Field/InvalidPage |
| Legal Block | 451 | urn:dio:error:cds-all:Resource/LegalBlock | This status code indicates that the server is denying access to the resource as a consequence of a legal demand. | 422 | urn:au-cds:error:cds-all:Resource/Unavailable |
| Ineligible Block | 451 | urn:dio:error:cds-all:Resource/IneligibleBlock | This status code indicates that the Customer is ineligible for CDR Data Sharing. | 422 | urn:au-cds:error:cds-all:Resource/Invalid |
| Call Center Block | 451 | urn:dio:error:cds-all:Resource/CallCenterBlock | This status code indicates that the consumer should call the Call Center for further information. | 422 | urn:au-cds:error:cds-all:Resource/Invalid |
Get Instalment Plans for Accountβ
Loading...
CDR Error Mappingβ
| Title | Status Code | Adapter URN - Error Code | Detail | CDR Status Code | CDR URN - Error Code |
|---|---|---|---|---|---|
| Invalid Field | 400 | urn:au-cds:error:cds-all:Field/Invalid | Applies when the value of required path parameter, i.e. principalId is an invalid type or the value violates the field's constraints. | 400 | urn:au-cds:error:cds-all:Field/Invalid |
| Invalid Header | 400 | urn:au-cds:error:cds-all:Header/Invalid | Applies when a HTTP Header is provided but the value provided is an invalid type or violates the field type constraints as defined in the Consumer Data Standards. | 400 | urn:au-cds:error:cds-all:Header/Invalid |
| Expected Error | 400 | urn:au-cds:error:cds-all:GeneralError/Expected | This status code indicates that the Expected Error has encountered. | 400 | urn:au-cds:error:cds-all:GeneralError/Expected |
| Invalid PageSize | 400 | urn:au-cds:error:cds-all:Field/InvalidPageSize | This status code applies when a HTTP Header is provided but the value provided is an invalid type or violates the field type constraints as defined in the Consumer Data Standards. | 400 | urn:au-cds:error:cds-all:Field/InvalidPageSize |
| Invalid Resource | 404 | urn:au-cds:error:cds-all:Resource/Invalid | The requested resource identifier is permanently unavailable. | 500 | urn:au-cds:error:cds-all:GeneralError/Unexpected |
| Invalid Page | 422 | urn:au-cds:error:cds-all:Field/InvalidPage | This status code indicates that the page being requested is out of range. For example, the valid pagination range is 5 pages and the client requested page = 10. | 422 | urn:au-cds:error:cds-all:Field/InvalidPage |
| Legal Block | 451 | urn:dio:error:cds-all:Resource/LegalBlock | This status code indicates that the server is denying access to the resource as a consequence of a legal demand. | 422 | urn:au-cds:error:cds-all:Resource/Unavailable |
| Ineligible Block | 451 | urn:dio:error:cds-all:Resource/IneligibleBlock | This status code indicates that the Customer is ineligible for CDR Data Sharing. | 422 | urn:au-cds:error:cds-all:Resource/Invalid |
| Call Center Block | 451 | urn:dio:error:cds-all:Resource/CallCenterBlock | This status code indicates that the consumer should call the Call Center for further information. | 422 | urn:au-cds:error:cds-all:Resource/Invalid |
Data Adapter version to CDR version mappingβ
| Data Adapter Version | CDR Version | Transformation Notes |
|---|---|---|
| ListBankingInstalmentPlans V1 | Get Instalment Plans Bulk V1 | This is a 1:1 mapping. No transformation required. |
| ListBankingInstalmentPlans V1 | Get Instalment Plans for Account V1 | This is a 1:1 mapping. No transformation required. |
Β
Supplemental Fieldsβ
No supplemental fields are specified.
Endpoint Specific Guidanceβ
- This endpoint was introduced in HaaS Data Adapter API 2.4.0.
- A single Data Adapter operation (
listBankingInstalmentPlans) serves both the Consumer Data Standards Get Instalment Plans Bulk and Get Instalment Plans for Account endpoints. HaaS acts as the gatekeeper of authorised accounts and supplies the account list in the request body, allowing all plans across the supplied accounts to be retrieved in a single call. - The upstream Consumer Data Standards filtering parameters (
plan-status,page,page-size) are mirrored through to the Data Adapter via the request body.plan-statusacceptsACTIVE,INACTIVEorALLand defaults toACTIVE. - Response data is ordered according to plan
creationDatein descending order.
Customers who do not have instalment products are not required to implement this endpoint and no action is required of them.